using System;

namespace employee.system.messaging.messages
{
    [Serializable]
    public class EmployeeHRMessage
    {
        /// <summary>
        /// For serializable
        /// </summary>
        private EmployeeHRMessage()
        {
        }

        public EmployeeHRMessage(int employee_id, string title, string first_name, string last_name,
                                 DateTime hired_on_date)
        {
            this.employee_id = employee_id;
            this.title = title;
            this.first_name = first_name;
            this.last_name = last_name;
            this.hired_on_date = hired_on_date;
        }

        public int employee_id { get; private set; }
        public string title { get; private set; }
        public string first_name { get; private set; }
        public string last_name { get; private set; }
        public DateTime hired_on_date { get; private set; }
    }
}