Imports log4net
Imports log4net.Config
Imports IoC.Library

<Assembly: XmlConfigurator(Watch:=True)> 

Module IoCConsoleExample

    Private ReadOnly _logger As ILog = LogManager.GetLogger(GetType(IoCConsoleExample))

    Sub Main()
        Dim IocProgram As New IoCProgram
        _logger.Info(String.Format("*").PadRight(35, CChar("*")))
        IocProgram.Run()
        _logger.Info(String.Format("*").PadRight(35, CChar("*")))
        System.Console.WriteLine("Please press enter to continue...")
        System.Console.ReadLine()
    End Sub

End Module