Imports System.Collections.Generic
Imports IoC.Library.DataUtility
Imports IoC.Library

Public Class EmployeeInformationRepository

    Private _environment As String = "DEV"
    Private _dataAccess As IDataAccess

    Public Sub New(ByVal dataAccess As IDataAccess)
        _dataAccess = dataAccess
    End Sub

    Public Property Environment() As String
        Get
            Return _environment
        End Get
        Set(ByVal value As String)
            _environment = value
        End Set
    End Property

    Public Function GetEmployees() As IEnumerable(Of IEmployee)
        Return _dataAccess.GetList(Of IEmployee)()
    End Function

End Class