Imports System.Collections.Generic
Imports IoC.Library.infrastructure.logging
Imports MassTransit.ServiceBus

Namespace infrastructure

    Public Class ServiceBus

        Public Shared Sub publish(Of Message)(ByVal messages As IList(Of Message))
            Log.bound_to(GetType(ServiceBus).Name).Debug("Grabbing an instance of the service bus.")
            Log.bound_to(GetType(ServiceBus).Name).InfoFormat("Publishing {0} messages of type {1}.", messages.Count, GetType(Message).Name)

            Container.get_an_instance(Of IServiceBus)().Publish(messages)
        End Sub

    End Class

End Namespace