Imports System.Collections.Generic
Imports IoC.Library.infrastructure.logging

Namespace infrastructure.commands

    Public Class CommandList
        Implements ICommandList

        Private _commands As IEnumerable(Of ICommand)

        Public Sub New(ByVal commands As IEnumerable(Of ICommand))
            Log.bound_to(Me).DebugFormat("Initializing {0}.", Me.GetType.Name)
            _commands = commands
        End Sub

        Public ReadOnly Property Commands() As IEnumerable(Of ICommand) Implements ICommandList.Commands
            Get
                Return _commands
            End Get
        End Property

    End Class

End Namespace