﻿Imports System.Collections.Generic
Imports IoC.Library.infrastructure
Imports IoC.Library.infrastructure.publishing
Imports IoC.Library.infrastructure.mapping

Namespace infrastructure.publishing

    Public Class Publisher(Of Record, Message)
        Implements IPublisher(Of Record, Message)

        Public Sub Publish(ByVal records As IEnumerable(Of Record)) Implements IPublisher(Of Record, Message).Publish
            Dim messages As IList(Of Message) = New List(Of Message)

            For Each record As Record In records
                messages.Add(Map.from_type(Of Record)(record).to_type(Of Message))
            Next

            ServiceBus.publish(messages)
        End Sub

    End Class

End Namespace