Imports System.Collections.Generic
Imports IoC.Library.DataUtility

Namespace infrastructure.repository

    Public Class SimpleRepository
        Implements IRepository

        Private _dataAccess As IDataAccess

        Public Sub New(ByVal dataAccess As IDataAccess)
            _dataAccess = dataAccess
        End Sub

        Public Function GetList(Of T)() As IEnumerable(Of T) Implements IRepository.GetList
            Return _dataAccess.GetList(Of T)()
        End Function

    End Class

End Namespace