﻿using System;
using employee.system.runners;
using log4net;
using log4net.Config;

[assembly: XmlConfigurator(Watch = true)]

namespace Lifestyles.Console
{
	internal class Program
	{
		private static readonly ILog _logger = LogManager.GetLogger(typeof(Program));

		private static void Main(string[] args)
		{
			IConsoleRunner runner = new LifestylesConsoleRunner();

			_logger.Info(String.Format("*").PadRight(35, '*'));
			runner.run_the_console();
			_logger.Info(String.Format("*").PadRight(35, '*'));
			System.Console.WriteLine("Please press enter to continue...");
			System.Console.ReadLine();
		}
	}
}