using System;

namespace employee.system.domain
{
    public class Employee : IEmployee
    {
        public Employee(int employee_id, string title, string first_name, string last_name, DateTime hire_date)
        {
            this.employee_id = employee_id;
            this.title = title;
            this.first_name = first_name;
            this.last_name = last_name;
            this.hire_date = hire_date;
        }

        public int employee_id { get; private set; }

        public string title { get; private set; }

        public string first_name { get; private set; }

        public string last_name { get; private set; }

        public DateTime hire_date { get; private set; }

        public override string ToString()
        {
            return string.Format("Name: {0} {1}, Hired: {2}, Title: {3}", first_name, last_name, hire_date.ToShortDateString(), title);
        }
    }
}