using System.Configuration;

namespace employee.system.infrastructure.configuration.custom
{
    public class NorthwindConfiguration : ISystemConfiguration
    {
        public string db_connection_string
        {
            get { return ConfigurationManager.ConnectionStrings["NorthwindConnString"].ConnectionString; }
        }

        public string get_command
        {
            get
            {
                return "SELECT " +
                       "EmployeeID " +
                       ",FirstName " +
                       ",LastName " +
                       ",Title " +
                       ",HireDate " +
                       "FROM  Employees";
            }
        }
    }
}