using Castle.MicroKernel;
using Castle.Windsor;

namespace employee.system.infrastructure.containers
{
    public static class Container
    {
        private static IWindsorContainer the_container;

        public static void initialize_with(IWindsorContainer container)
        {
            the_container = container;
        }

        public static TypeToGet get_an_instance_of<TypeToGet>()
        {
            return the_container.Resolve<TypeToGet>();
        }

        public static IKernel get_the_kernel()
        {
            return the_container.Kernel;
        }
    }
}