using employee.system.infrastructure.containers;

namespace employee.system.infrastructure.mapping
{
    public class MapBuilder<From>
    {
        private readonly From from_object;

        public MapBuilder(From from_object)
        {
            this.from_object = from_object;
        }

        public To to<To>()
        {
            return Container.get_an_instance_of<IMapper<From,To>>().map_from(from_object);
        }
    }
}