using System;

namespace employee.system.messaging.messages
{
    [Serializable]
    public class EmployeeMessage
    {
        /// <summary>
        /// For serializable
        /// </summary>
        private EmployeeMessage()
        {
        }

        public EmployeeMessage(string name, DateTime hired_on_date, string title)
        {
            this.name = name;
            this.hired_on_date = hired_on_date;
            this.title = title;
        }

        public string name { get; private set; }

        public DateTime hired_on_date { get; private set; }

        public string title { get; private set; }
    }
}