Imports System.Configuration

Namespace Config

    Public Class AdventureWorksConfig
        Implements IConfig

        Public ReadOnly Property DBConnString() As String Implements IConfig.DBConnString
            Get
                Return ConfigurationManager.ConnectionStrings("AdventureWorksConnString").ConnectionString
            End Get
        End Property

        Public ReadOnly Property GetCommand() As String Implements IConfig.GetCommand
            Get
                Return "SELECT " & _
                            "HumanResources.Employee.EmployeeID " & _
                            ",Person.Contact.FirstName " & _
                            ",Person.Contact.LastName " & _
                            ",HumanResources.Employee.Title " & _
                            ",HumanResources.Employee.HireDate " & _
                        "FROM HumanResources.Employee " & _
                        "INNER JOIN Person.Contact " & _
                            "ON HumanResources.Employee.ContactID = Person.Contact.ContactID"
            End Get
        End Property

    End Class

End Namespace