
Public Class Employee
    Implements IEmployee

    Private _employeeID As Integer
    Private _title As String
    Private _firstName As String
    Private _lastName As String
    Private _hireDate As System.DateTime

    Public ReadOnly Property EmployeeID() As Integer Implements IEmployee.EmployeeID
        Get
            Return _employeeID
        End Get
    End Property

    Public ReadOnly Property Title() As String Implements IEmployee.Title
        Get
            Return _title
        End Get
    End Property

    Public ReadOnly Property FirstName() As String Implements IEmployee.FirstName
        Get
            Return _firstName
        End Get
    End Property

    Public ReadOnly Property LastName() As String Implements IEmployee.LastName
        Get
            Return _lastName
        End Get
    End Property

    Public ReadOnly Property HireDate() As System.DateTime Implements IEmployee.HireDate
        Get
            Return _hireDate
        End Get
    End Property

    Public Sub New(ByVal _employeeID As Integer, ByVal _title As String, ByVal _firstName As String, ByVal _lastName As String, ByVal _hireDate As Date)
        Me._employeeID = _employeeID
        Me._title = _title
        Me._firstName = _firstName
        Me._lastName = _lastName
        Me._hireDate = _hireDate
    End Sub

    Public Overrides Function ToString() As String
        Return String.Format("Name: {0} {1}, Hired: {2}, Title: {3}", FirstName, LastName, HireDate.ToShortDateString(), Title)
    End Function

End Class