Imports Castle.Windsor
Imports Castle.MicroKernel

Namespace infrastructure

    Public Class Container

        Private Shared _container As IWindsorContainer

        Public Shared Sub initialize_with(ByVal container As IWindsorContainer)
            _container = container
        End Sub

        Public Shared Function get_an_instance(Of T)() As T
            Return _container.Resolve(Of T)()
        End Function

        Public Shared Function get_the_kernel() As IKernel
            Return _container.Kernel
        End Function

    End Class

End Namespace