Namespace infrastructure.logging.custom

    Public Class Log4NetLogger
        Implements ILog

        Private ReadOnly _logger As log4net.ILog

        Public Sub New(ByVal logger As log4net.ILog)
            _logger = logger
        End Sub

        Public Sub Debug(ByVal message As Object) Implements ILog.Debug
            _logger.Debug(message)
        End Sub

        Public Sub DebugFormat(ByVal message As String, ByVal ParamArray args() As Object) Implements ILog.DebugFormat
            _logger.DebugFormat(message, args)
        End Sub

        Public Sub Info(ByVal message As Object) Implements ILog.Info
            _logger.Info(message)
        End Sub

        Public Sub InfoFormat(ByVal message As String, ByVal ParamArray args() As Object) Implements ILog.InfoFormat
            _logger.InfoFormat(message, args)
        End Sub

        Public Sub [Error](ByVal message As Object) Implements ILog.[Error]
            _logger.Error(message)
        End Sub

        Public Sub ErrorFormat(ByVal message As String, ByVal ParamArray args() As Object) Implements ILog.ErrorFormat
            _logger.ErrorFormat(message, args)
        End Sub

        Public Sub Fatal(ByVal message As Object) Implements ILog.Fatal
            _logger.Fatal(message)
        End Sub

        Public Sub FatalFormat(ByVal message As String, ByVal ParamArray args() As Object) Implements ILog.FatalFormat
            _logger.FatalFormat(message, args)
        End Sub

    End Class

End Namespace