Imports IoC.Library.infrastructure.messages
Imports IoC.Library.infrastructure.logging

Namespace infrastructure.mapping.custom

    Public Class MapFromEmployeeToEmployeeHRMessage
        Implements IMapper(Of IEmployee, EmployeeHRMessage)

        Public Function MapFrom(ByVal item As IEmployee) As EmployeeHRMessage Implements IMapper(Of IEmployee, EmployeeHRMessage).MapFrom
            Log.bound_to(Me).Debug("Mapping from IEmployee to EmployeeHRMessage.")
            Return New EmployeeHRMessage( _
                                         item.EmployeeID _
                                         , item.Title _
                                         , item.FirstName _
                                         , item.LastName _
                                         , item.HireDate _
                                         )
        End Function

    End Class

End Namespace