Imports IoC.Library.infrastructure.messages
Imports IoC.Library.infrastructure.logging

Namespace infrastructure.mapping.custom

    Public Class MapFromEmployeeToEmployeeMessage
        Implements IMapper(Of IEmployee, EmployeeMessage)

        Public Function MapFrom(ByVal item As IEmployee) As EmployeeMessage Implements IMapper(Of IEmployee, EmployeeMessage).MapFrom
            Log.bound_to(Me).Debug("Mapping from IEmployee to EmployeeMessage.")
            Return New EmployeeMessage( _
                                       String.Format("{0} {1}", item.FirstName, item.LastName) _
                                       , item.HireDate _
                                       , item.Title _
                                       )
        End Function

    End Class

End Namespace