Imports System

Namespace infrastructure.messages

    <Serializable()> _
    Public Class EmployeeHRMessage

        Private _employeeID As Integer
        Private _title As String
        Private _firstName As String
        Private _lastName As String
        Private _hiredOnDate As DateTime

        ''' <summary>
        ''' For Serializable
        ''' </summary>
        Private Sub New()
        End Sub

        Public Sub New(ByVal employeeID As Integer, ByVal title As String, ByVal firstName As String, ByVal lastName As String, ByVal hiredOnDate As Date)
            _employeeID = employeeID
            _title = title
            _firstName = firstName
            _lastName = lastName
            _hiredOnDate = hiredOnDate
        End Sub

        Public ReadOnly Property EmployeeID() As Integer
            Get
                Return _employeeID
            End Get
        End Property

        Public ReadOnly Property Title() As String
            Get
                Return _title
            End Get
        End Property

        Public ReadOnly Property FirstName() As String
            Get
                Return _firstName
            End Get
        End Property

        Public ReadOnly Property LastName() As String
            Get
                Return _lastName
            End Get
        End Property

        Public ReadOnly Property HiredOnDate() As Date
            Get
                Return _hiredOnDate
            End Get
        End Property

    End Class

End Namespace