Imports System

Namespace infrastructure.messages

    <Serializable()> _
    Public Class EmployeeMessage

        Private _name As String
        Private _hiredOnDate As DateTime
        Private _title As String

        ''' <summary>
        ''' For serializable
        ''' </summary>
        Private Sub New()
        End Sub

        Public Sub New(ByVal name As String, ByVal hiredOnDate As Date, ByVal title As String)
            _name = name
            _hiredOnDate = hiredOnDate
            _title = title
        End Sub

        Public ReadOnly Property Name() As String
            Get
                Return _name
            End Get
        End Property

        Public ReadOnly Property HiredOnDate() As DateTime
            Get
                Return _hiredOnDate
            End Get
        End Property

        Public ReadOnly Property Title() As String
            Get
                Return _title
            End Get
        End Property

    End Class

End Namespace