﻿Imports System.Configuration
Imports MbUnit.Framework
Imports IoC.Library.Config

Imports System

<TestFixture()> _
Public Class As_an_AdventureWorksConfig

    Private _config As IConfig

    <SetUp()> _
    Public Sub I_want_to()
        _config = New AdventureWorksConfig()
    End Sub

    <Test()> _
    Public Sub Verify_the_DatabaseConnectionString()
        Dim cs As String = ConfigurationManager.ConnectionStrings("AdventureWorksConnString").ConnectionString

        Assert.AreEqual(cs, _config.DBConnString)
    End Sub

    <Test()> _
    Public Sub Verify_the_GetEmployeesCommand_exists()
        Assert.IsNotNull(_config.GetCommand)
    End Sub

End Class