﻿Imports MbUnit.Framework
Imports IoC.Library
Imports System

<TestFixture()> _
Public Class As_an_Employee

    Private _employee As IEmployee
    Private _employeeID As Integer = 1
    Private _title As String = "HR Director"
    Private _firstName As String = "Bob"
    Private _lastName As String = "Slydel"
    Private _hireDate As DateTime = #3/22/2005#

    <SetUp()> _
       Public Sub I_want_to()
        _employee = New Employee(_employeeID, _title, _firstName, _lastName, _hireDate)
    End Sub

    <Test()> _
    Public Sub Initialize_properly()
        _employee = New Employee(_employeeID, _title, _firstName, _lastName, _hireDate)

        Assert.IsNotNull(_employee)
    End Sub

    <Test()> _
    Public Sub Verify_ID()
        Assert.AreEqual(_employeeID, _employee.EmployeeID)
    End Sub

    <Test()> _
    Public Sub Verify_FirstName()
        Assert.AreEqual(_firstName, _employee.FirstName)
    End Sub

    <Test()> _
    Public Sub Verify_HireDate()
        Assert.AreEqual(_hireDate, _employee.HireDate)
    End Sub

    <Test()> _
    Public Sub Verify_LastName()
        Assert.AreEqual(_lastName, _employee.LastName)
    End Sub

    <Test()> _
    Public Sub Verify_Title()
        Assert.AreEqual(_title, _employee.Title)
    End Sub

End Class
